#### D.2.13.13 getResult

Procedure from library `tasks.lib` (see tasks_lib).

Usage:
  getResult(t), t task

Return:
  the result of t.

Note:
  This command cannot be applied to tasks whose state is not 'completed'.

Example:

    LIB "tasks.lib";
    ring R = 0, (x,y), dp;
    ideal I = x9y2+x10, x2y7-y8;
    task t = "std", list(I);
    startTasks(t);
    waitAllTasks(t);
    getResult(t);
    ==> _[1]=x2y7-y8
    ==> _[2]=x9y2+x10
    ==> _[3]=x12y+xy11
    ==> _[4]=x13-xy12
    ==> _[5]=y14+xy12
    ==> _[6]=xy13+y12
    killTask(t);

See also: getArguments; getCommand; getState; pollTask; printTask; waitTasks.

User manual for Singular version 4.4.1, 2025, generated by texi2html.